import request from '@/utils/request'
// 订单付款获取用户详细信息
export function getSysDeptInfo(query) {
	return request({
		url: '/system/goodsPayment/getSysDeptInfo',
		params: query,
		method: 'get'
	})
}
// 订单结算获取用户详细信息
export function getDeptInfo() {
	return request({
		url: '/system/goodsPayment/getDeptInfo',
		method: 'get'
	})
}
// 生成订单
export function paginQueryAdd(data) {
	return request({
		url: '/system/shopeRecharg/add',
		method: 'post',
		data: data
	})
}
// 查询赔付订单
export function orderInfo(query) {
	return request({
		url: '/system/goodsPayment/orderInfo',
		method: 'get',
		params: query
	})
}
// 获取用户详细信息
export function getInfo() {
	return request({
		url: '/system/user/getInfo',
		method: 'get'
	})
}
//查询手机号信息
export function accountMonitoring(query) {
	return request({
		url: '/system/shopeRecharg/list',
		method: 'get',
		params: query
	})
}
//新增手机号信息
export function add(data) {
	return request({
		url: '/system/gameAftermarket/add',
		method: 'post',
		data: data
	})
}
//查询手机号信息
export function getPhone(id) {
	return request({
		url: '/system/gameAftermarket/getInfo/'+id,
		method: 'post',
	})
}
//修改手机号信息
export function upData(data) {
	return request({
		url: '/system/retrieveReparation/edit',
		method: 'put',
		data: data
	})
}


// 删除
export function deleteById(id) {
	return request({
		url: '/system/retrieveReparation/deleteById/'+id,
		method: 'delete',
	})
}
// 托收
export function accept(query) {
	return request({
		url: '/system/retrieveReparation/accept',
		method: 'post',
		params: query
	})
}
// 查看账号信息
export function view(query) {
	return request({
		url: '/system/accountMonitoring/view',
		method: 'post',
		params: query
	})
}